Bug 997100 - [abrt] livecd-tools-19.5-1.fc19: fs.py:148:unmount:MountError: Unable to unmount fs at /var/tmp/imgcreate-52oAV8/install_root//sys/fs/selinux
[abrt] livecd-tools-19.5-1.fc19: fs.py:148:unmount:MountError: Unable to unmo...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:35cd67e0da0d3711fd085d6ec9d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 12:23 EDT by M. Edward (Ed) Borasky
Modified: 2014-01-07 12:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 12:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (952 bytes, text/plain)
2013-08-14 12:23 EDT, M. Edward (Ed) Borasky
no flags Details
File: environ (2.13 KB, text/plain)
2013-08-14 12:23 EDT, M. Edward (Ed) Borasky
no flags Details

  None (edit)
Description M. Edward (Ed) Borasky 2013-08-14 12:23:03 EDT
Description of problem:
Creating a LiveCD

Version-Release number of selected component:
livecd-tools-19.5-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -tt /bin/livecd-creator --config=CompJournoStick.ks --fslabel=CompJournoStick-XFCE --title=CompJournoStick-XFCE --product=CompJournoStick-XFCE --cache=/var/cache/live
dso_list:       python-imgcreate-19.5-1.fc19.x86_64
executable:     /bin/livecd-creator
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
fs.py:148:unmount:MountError: Unable to unmount fs at /var/tmp/imgcreate-52oAV8/install_root//sys/fs/selinux

Traceback (most recent call last):
  File "/bin/livecd-creator", line 237, in <module>
    sys.exit(main())
  File "/bin/livecd-creator", line 230, in main
    creator.cleanup()
  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 571, in cleanup
    self.unmount()
  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 543, in unmount
    self._undo_bindmounts()
  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 325, in _undo_bindmounts
    b.unmount()
  File "/usr/lib/python2.7/site-packages/imgcreate/fs.py", line 148, in unmount
    raise MountError("Unable to unmount fs at %s" % self.dest)
MountError: Unable to unmount fs at /var/tmp/imgcreate-52oAV8/install_root//sys/fs/selinux

Local variables in innermost frame:
self: <imgcreate.fs.BindChrootMount instance at 0x2085290>
rc: 32
Comment 1 M. Edward (Ed) Borasky 2013-08-14 12:23:09 EDT
Created attachment 786604 [details]
File: backtrace
Comment 2 M. Edward (Ed) Borasky 2013-08-14 12:23:12 EDT
Created attachment 786605 [details]
File: environ
Comment 3 Brian Lane 2013-08-16 13:49:35 EDT
Are you hitting this consistently? Does lsof /var/tmp/imgcreate-52oAV8/install_root/ show anything holding the mountpoint?

Note You need to log in before you can comment on or make changes to this bug.